import type { Ref } from 'vue-demi';
import type { RefTyped } from '../types/global';
declare type UseIntervalReturnType = {
  isActive: Ref<boolean>;
  start: () => void;
  stop: () => void;
};
export default function useInterval(
  callback: () => void,
  interval?: RefTyped<number>,
  immediate?: RefTyped<boolean>,
): UseIntervalReturnType;
export {};
