export interface QueueMethodsReturnType<T> {
  add: (item: T) => void;
  remove: () => T;
  first: T;
  last: T;
  reset: () => void;
  empty: () => void;
  size: number;
}
declare const useQueue: <T>(initialValue?: T[]) => QueueMethodsReturnType<T>;
export default useQueue;
