import { debounce as $debounce } from './helper';
/**
 * Debounce function
 * @param callback The function or a promise to debounce.
 * @param wait The number of milliseconds to delay.
 * @returns debounced function
 * @returns debounced.cancel function
 */
export default function debounce(callback, wait = 0) {
  const debounced = $debounce(callback, wait);
  return debounced;
}
