import type { Ref } from 'vue-demi';
import type { Target } from '../libs/dom';
import type { RefTyped } from '../types/global';
declare type UseFullscreenReturnType = {
  isFullscreen: Ref<boolean>;
  enterFullscreen: () => void;
  exitFullscreen: () => void;
  toggleFullscreen: (status?: RefTyped<boolean>) => void;
};
export default function useFullscreen(
  target: Target,
  onFullscreenStatusChange?: () => void,
): UseFullscreenReturnType;
export {};
