/**
 * usePageHidden function
 * when user `leave`/`back` current tab will trigger this hook
 * always execute the last one
 *
 * @param onHiddenStatusChange change handler function for usePageHidden
 */
export default function usePageHidden(
  onHiddenStatusChange: (isHidden?: boolean) => void,
): void;
