declare const _default: {
  get: (
    $key: import('../../types/global').RefTyped<
      string | any[] | (() => import('./types').KeyType)
    >,
  ) => any;
  set: (
    $key: import('../../types/global').RefTyped<
      string | any[] | (() => import('./types').KeyType)
    >,
    value: any,
  ) => void;
  del: (
    $key: import('../../types/global').RefTyped<
      string | any[] | (() => import('./types').KeyType)
    >,
  ) => void;
  has: (
    $key: import('../../types/global').RefTyped<
      string | any[] | (() => import('./types').KeyType)
    >,
  ) => boolean;
  clear: () => void;
  keys: () => any[];
  serializeKey: (
    key: import('../../types/global').RefTyped<
      string | any[] | (() => import('./types').KeyType)
    >,
  ) => [string, any, string, string];
};
export default _default;
