import type {
  Fetcher,
  SWRKey,
  SWRConfig,
  UseSWRReturnType,
  Mutate,
} from './types';
export declare const trigger: (
  $key: any,
  shouldRevalidate?: boolean,
) => Promise<any>;
export declare const mutate: Mutate;
declare function useSWR<D = any, E = any>(key: SWRKey): UseSWRReturnType<D, E>;
declare function useSWR<D = any, E = any>(
  key: SWRKey,
  config?: SWRConfig<D, E>,
): UseSWRReturnType<D, E>;
declare function useSWR<D = any, E = any>(
  key: SWRKey,
  fetcher?: Fetcher<D>,
  config?: SWRConfig<D, E>,
): UseSWRReturnType<D, E>;
export default useSWR;
