import type { Ref } from 'vue-demi';
import type { RefTyped } from '../types/global';
declare type UseTimeoutReturnType = {
  isActive: Ref<boolean>;
  start: () => void;
  stop: () => void;
};
export default function useTimeout(
  callback: () => void,
  timeout?: RefTyped<number>,
  immediate?: RefTyped<boolean>,
): UseTimeoutReturnType;
export {};
