import type { Ref } from 'vue-demi';
export declare type Target<T = HTMLElement> =
  | T
  | null
  | (() => T | null)
  | Ref<T | null | undefined>;
export declare type TargetElement = HTMLElement | Element | Document | Window;
export declare function isHTMLElement(element: any): boolean;
export declare function getTargetElement(
  target?: Target<TargetElement>,
  defaultElement?: TargetElement,
): TargetElement | null | undefined;
