import { throttle as $throttle } from './helper';
/**
 * throttle function
 * @param callback The function or a promise to throttle.
 * @param wait The number of milliseconds to delay.
 * @returns throttled function
 * @returns throttled.cancel function
 */
export default function throttle(callback, wait = 0) {
  const throttled = $throttle(callback, wait);
  return throttled;
}
